# Installing Soapbox over Mastodon

It is possible to run Soapbox as your main frontend on top of Mastodon.
This will replace the homepage and all static pages with Soapbox, using Mastodon only as the API.

To do so, shell into your server and unpack Soapbox:

```sh
mkdir -p /opt/soapbox

curl -L https://gitlab.com/soapbox-pub/soapbox/-/jobs/artifacts/develop/download?job=build-production -o soapbox-fe.zip

busybox unzip soapbox-fe.zip -o -d /opt/soapbox
```

Now create an Nginx file for Soapbox with Mastodon.
If you already have one, replace it:

```sh
curl https://gitlab.com/soapbox-pub/soapbox/-/raw/develop/installation/mastodon.conf > /etc/nginx/sites-available/mastodon
```

Edit this file and replace all occurrences of `example.com` with your domain name.
Uncomment the SSL lines if you've enabled SSL, otherwise do that first.

Finally, ensure the file is symlinked, then restart Nginx:

```sh
ln -s /etc/nginx/sites-available/mastodon /etc/nginx/sites-enabled/mastodon

systemctl restart nginx
```

If all is well, hopefully this worked!
If not, run `nginx -t` to see if anything is amiss, and try reviewing Mastodon's [install guide](https://docs.joinmastodon.org/admin/install/).
